Bug 132291 - Fix appearance of NetBeans on Mac OS X look and feel
Fix appearance of NetBeans on Mac OS X look and feel
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P2 with 1 vote (vote)
: 6.x
Assigned To: Ondrej Langr
issues@platform
: PLAN, UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 09:22 UTC by jrojcek
Modified: 2009-03-30 15:52 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2008-04-08 09:22:14 UTC
The NetBeans look and feel on Mac OS X is outdated. The look of toolbars, tabs, sliding windows and close buttons should be updated to be follow new L&F of 
Leopard (Mac OS X 10.5). For an example of the new L&F see:

http://en.wikipedia.org/wiki/Image:Xcode-helloworld.png

There seems to be a big community of Ruby developers on Mac. If we're serious about getting more of them on NetBeans, we should fix the look and feel.
Comment 1 Ondrej Langr 2008-08-08 11:04:04 UTC
Assigning to myself, for the UI work. I will reassign back when a UI spec. is done. 
Comment 2 Stanislav Aubrecht 2009-01-29 12:01:30 UTC
i integrated most of the changes to core-main today. there are still some minor and cosmetic issues left which will be
resolved via separate issues.

i suggest making a screenshot of current development build with all the mac l&f changes and declaring it as the ui
specification for the new mac l&f...
Comment 3 Antonin Nebuzelsky 2009-01-29 16:04:20 UTC
Great! Thanks, Stando.

I saw the integration (bunch of changesets) flow into main repo a while ago.

Stando, attach a screenshot of the main trunk build with the new UI here as soon as you get a build of trunk with the
change.
Comment 4 Stanislav Aubrecht 2009-01-29 16:10:58 UTC
screenshot: http://blogs.sun.com/stan/resource/laf/nbdev.png
Comment 5 Ondrej Langr 2009-03-30 15:52:06 UTC
Mostly done, closing. There are some minor remaining inconsistencies which are already filed as individual issues. 

Thanks to all who have participated and provided feedback from both xDesign and development team! 
Big thanks to Standa for excellent implementation and paying attention to design details!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo